1 Reply Latest reply on Feb 9, 2012 9:59 AM by Laszlo G

    Unable to Install extension

      Hi All,

       

      I really need you help. I try to upgrade my eepc 6.1.0 to eepc 6.1.2.. When I installed extension EEADMIN, in the middle of I lost communication and page become blank. Once I login to epo and check on the extension it still shown EEADMIN 1.1.0 instead of 1.1.2.. But when I try to check in the packages again this error show

       

      Unable to install extension. Installation error: install-sql: [echo] Installing SQL Tables/Views/Triggers [execute-sql] WARN: Warning! The maximum key length is 900 bytes. The index 'UQ_EPELDAPGroups_IdAndServerId' has maximum length of 4004 bytes. For some combination of large values, the insert/update operation will fail. [execute-sql] WARN: Warning! The maximum key length is 900 bytes. The index 'UQ_EPELDAPUsers_IdAndServerId' has maximum length of 4004 bytes. For some combination of large values, the insert/update operation will fail. stop-services: [echo] stopping services BUILD FAILED D:\PROGRA~1\McAfee\EPOLIC~1\server\extensions\installed\EEADMIN\1.1.2.314\insta ll.xml:445: com.mcafee.orion.core.cmd.CommandException: No such command:EEADMIN.ShutdownCmd Total time: 1 minute 35 seconds

       

      Please advise..

        • 1. Re: Unable to Install extension
          Laszlo G

          Hi patu, the problem may be that the extension was checked into the database but no on the ePO server.

           

          Try to open your database with SQL Management Studio (or SQL Management Studio Express if you're using SQL Express) and browse to Databases->EPO4_XXXX->Tables and look for OrionExtensions (or dbo.OrionExtensions). Then right-click over it and select Open Table. Here you'll find all your extensions (as well as the EEADMIN extension if installed).

           

          Look at its version and then comparte it with version shown under \\172.16.48.81\c$\Program Files\McAfee\ePolicy Orchestrator\Server\extensions\installed\your_extension_folder (inside this folder you'll find another one with your extension version)